# Changelog

All notable changes to AgentSys will be documented in this file.

## [0.4.0] - Unreleased

### Added
- Improved protocol documentation
- Enhanced messaging system
- Added streaming capabilities
- Extended custom protocol support
- Added OpenAI integration with AgentClient
- Added tool calling support in BaseAgent
- Added streaming support for LLM responses
- Added Locksys integration for secure API key management
- Added support for custom API endpoints

### Changed
- Updated minimum Python requirement to 3.11
- Upgraded pydantic dependency to 2.0.0+
- Improved async support with aiohttp 3.9.0
- Upgraded OpenAI SDK to >=1.54.0
- Added Locksys dependency for secure key management
- Enhanced BaseAgent with built-in LLM support
- Renamed LLM module to AgentClient for clarity

### Fixed
- Various documentation improvements
- Better type hints coverage
- Proper resource cleanup in agents
- Secure API key handling with Locksys

## [0.3.0] - Previous Release

- Initial public release
- Basic protocol implementation
- Core messaging system
- Basic streaming support
